<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Chat</title>
    <link crossorigin="anonymous"
          href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css"
          integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU"
          rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css"
          rel="stylesheet">
    <link href="chat.css"
          rel="stylesheet">
    <script src="jquery-3.6.0.min.js"></script>
    <script src="socket.io.min.js"></script>
</head>
<body>
<div class="row justify-content-center ms-3 me-3 h-100">
    <div class="col-12 col-md-10 col-xl-6 mb-3 mt-3">
        <!--  HEADER  -->
        <div class="position-relative mt-3">
            <div class="position-absolute top-0 start-0 h-100 w-auto"
                 id="logout-btn">
                <svg class="bi bi-box-arrow-left h-100 w-auto"
                     fill="currentColor"
                     height="16"
                     viewBox="0 0 16 16"
                     width="16"
                     xmlns="http://www.w3.org/2000/svg">
                    <path d="M6 12.5a.5.5 0 0 0 .5.5h8a.5.5 0 0 0 .5-.5v-9a.5.5 0 0 0-.5-.5h-8a.5.5 0 0 0-.5.5v2a.5.5 0 0 1-1 0v-2A1.5 1.5 0 0 1 6.5 2h8A1.5 1.5 0 0 1 16 3.5v9a1.5 1.5 0 0 1-1.5 1.5h-8A1.5 1.5 0 0 1 5 12.5v-2a.5.5 0 0 1 1 0v2z"
                          fill-rule="evenodd"/>
                    <path d="M.146 8.354a.5.5 0 0 1 0-.708l3-3a.5.5 0 1 1 .708.708L1.707 7.5H10.5a.5.5 0 0 1 0 1H1.707l2.147 2.146a.5.5 0 0 1-.708.708l-3-3z"
                          fill-rule="evenodd"/>
                </svg>
            </div>
            <h3 class="text-center">
                Chat
            </h3>
            <div class="position-absolute top-0 end-0 h-100">
                <img alt="nyan-cat"
                     class="img-fluid h-100 float-end"
                     src="nyancat.gif">
            </div>
        </div>
        <!--  CHAT  -->
        <div class="bg-light rounded-3 p-2 chat-wrapper">
            <!-- MESSAGES -->
            <div class="messages d-flex flex-column align-content-start gap-2"
                 id="messages">
                <!-- MESSAGE -->
                <!--                <div class="msg msg&#45;&#45;other">-->
                <!--                    <div class="msg__username">username</div>-->
                <!--                    <div class="msg_text">message</div>-->
                <!--                </div>-->

            </div>
            <!-- INPUT -->
            <form class="input-group"
                  id="new-msg-form">
                <input class="form-control"
                       id="message-text"
                       placeholder="Input your message..."
                       required/>
                <div class="input-group-prepend">
                    <button class="btn-primary input-group-text">Send</button>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="chat.js"></script>
</body>
</html>
